Skip to main content
GET
Get orders
Learn more:
  • What is an order?
  • How are amounts and taxes rounded?

Path Parameters

consumer_id
string<uuid>
required

Query Parameters

page
integer
default:1

Page number

Required range: x >= 1
size
integer
default:50

Page size

Required range: 1 <= x <= 100
date_from
string<date> | null

Start date (inclusive) of the period to get orders from. Ignored when 'closure_id' is provided.

date_to
string<date> | null

End date (inclusive) of the period to get orders from. Ignored when 'closure_id' is provided.

location_id
string | null

Unique identifier of the location. If none passed, orders from all locations will be returned unless the location was selected by the end-user

state
enum<string>
default:all

State of the orders to get

Available options:
open,
closed,
all
closure_id
string | null

Unique identifier of the closure. Scopes the result to that closure instead of a date range: when provided, 'date_from' and 'date_to' are ignored and every order of the closure is returned, whatever its date. If none passed, orders from all closures in the period will be selected.

Response

Successful Response

items
POSOrderItem · object[]
required
total
integer
required
Required range: x >= 0
page
integer
required
Required range: x >= 1
size
integer
required
Required range: x >= 1